Package org.eclipse.net4j.util.collection

# Class IndexedList<E>

java.lang.Object
org.eclipse.net4j.util.collection.IndexedList<E>

All Implemented Interfaces:
  `Iterable<E>`, `Collection<E>`, `List<E>`

Direct Known Subclasses:
  `IndexedList.ArrayBacked`

public abstract class IndexedList<E> extends Object implements List<E>

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`IndexedList.ArrayBacked<E>`

## Constructor Summary

Constructors
Constructor
Description
`IndexedList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(int index, E element)`
`boolean`
`add(E o)`
`boolean`
`addAll(int index, Collection<? extends E> c)`
`boolean`
`addAll(Collection<? extends E> c)`
`void`
`clear()`
`boolean`
`contains(Object o)`
`boolean`
`containsAll(Collection<?> c)`
`abstract E`
`get(int index)`
`int`
`indexOf(Object o)`
`boolean`
`isEmpty()`
`Iterator<E>`
`iterator()`
`int`
`lastIndexOf(Object o)`
`ListIterator<E>`
`listIterator()`
`ListIterator<E>`
`listIterator(int index)`
`E`
`remove(int index)`
`boolean`
`remove(Object o)`
`boolean`
`removeAll(Collection<?> c)`
`boolean`
`retainAll(Collection<?> c)`
`E`
`set(int index, E element)`
`abstract int`
`size()`
`List<E>`
`subList(int fromIndex, int toIndex)`
`Object[]`
`toArray()`
`<T> T[]`
`toArray(T[] a)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`equals, hashCode, replaceAll, sort, spliterator`

## Constructor Details

### IndexedList

public IndexedList()

## Method Details

### get

public abstract E get(int index)

Specified by:
  `get` in interface `List<E>`

### size

public abstract int size()

Specified by:
  `size` in interface `Collection<E>`
Specified by:
  `size` in interface `List<E>`

### isEmpty

public boolean isEmpty()

Specified by:
  `isEmpty` in interface `Collection<E>`
Specified by:
  `isEmpty` in interface `List<E>`

### contains

public boolean contains(Object o)

Specified by:
  `contains` in interface `Collection<E>`
Specified by:
  `contains` in interface `List<E>`

### containsAll

public boolean containsAll(Collection<?> c)

Specified by:
  `containsAll` in interface `Collection<E>`
Specified by:
  `containsAll` in interface `List<E>`

### indexOf

public int indexOf(Object o)

Specified by:
  `indexOf` in interface `List<E>`

### lastIndexOf

public int lastIndexOf(Object o)

Specified by:
  `lastIndexOf` in interface `List<E>`

### iterator

public Iterator<E> iterator()

Specified by:
  `iterator` in interface `Collection<E>`
Specified by:
  `iterator` in interface `Iterable<E>`
Specified by:
  `iterator` in interface `List<E>`

### listIterator

public ListIterator<E> listIterator()

Specified by:
  `listIterator` in interface `List<E>`

### listIterator

public ListIterator<E> listIterator(int index)

Specified by:
  `listIterator` in interface `List<E>`

### subList

public List<E> subList(int fromIndex, int toIndex)

Specified by:
  `subList` in interface `List<E>`

### toArray

public Object[] toArray()

Specified by:
  `toArray` in interface `Collection<E>`
Specified by:
  `toArray` in interface `List<E>`

### toArray

public <T> T[] toArray(T[] a)

Specified by:
  `toArray` in interface `Collection<E>`
Specified by:
  `toArray` in interface `List<E>`

### add

public boolean add(E o)

Specified by:
  `add` in interface `Collection<E>`
Specified by:
  `add` in interface `List<E>`

### remove

public boolean remove(Object o)

Specified by:
  `remove` in interface `Collection<E>`
Specified by:
  `remove` in interface `List<E>`

### addAll

public boolean addAll(Collection<? extends E> c)

Specified by:
  `addAll` in interface `Collection<E>`
Specified by:
  `addAll` in interface `List<E>`

### addAll

public boolean addAll(int index, Collection<? extends E> c)

Specified by:
  `addAll` in interface `List<E>`

### removeAll

public boolean removeAll(Collection<?> c)

Specified by:
  `removeAll` in interface `Collection<E>`
Specified by:
  `removeAll` in interface `List<E>`

### retainAll

public boolean retainAll(Collection<?> c)

Specified by:
  `retainAll` in interface `Collection<E>`
Specified by:
  `retainAll` in interface `List<E>`

### clear

public void clear()

Specified by:
  `clear` in interface `Collection<E>`
Specified by:
  `clear` in interface `List<E>`

### set

public E set(int index, E element)

Specified by:
  `set` in interface `List<E>`

### add

public void add(int index, E element)

Specified by:
  `add` in interface `List<E>`

### remove

public E remove(int index)

Specified by:
  `remove` in interface `List<E>`

### toString

public String toString()

Overrides:
  `toString` in class `Object`